| Home | Libraries | People | FAQ | More

##### fill

###### Prototype

    template<class ForwardRange, class Value>
    ForwardRange& fill( ForwardRange& rng, const Value& val );

###### Description

`fill` assigns the value `val` to every element in the range `rng`.

###### Definition

Defined in the header file `boost/range/algorithm/fill.hpp`

###### Requirements

- `ForwardRange` is a model of the Forward Range Concept.
- `ForwardRange` is mutable.
- `Value` is a model of the `AssignableConcept`.
- `Value` is convertible to `ForwardRange`'s value type.

###### Complexity

Linear. Exactly `distance(rng)` assignments are performed.